Ihre Wunschadresse: www.
  Sie sind hier:  » McAc.net  » News 

News

12.02.15 17:38 Alter: 2 yrs

Aktualisierung des Apache-Webservers

Am Mittwoch den 18.02. ca. 7.00 Uhr wird ein Software-Update auf den Webservern stattfinden.


Das am Mittwoch, den 18.02.2015, um ca. 07:00 Uhr erfolgende Update der Webserver-Software erfolgt selbstverständlich vollautomatisch, es ist Ihrerseits kein manuelles Eingreifen erforderlich. Im Anschluss an die Umstellung werden Ihre Web-Anwendungen dann mit der neuen Version 2.4 von Apache betrieben.

Zur Durchführung des Updates ist ein Neustart des Apache-Webservers erforderlich, was zu einer kurzfristigen Nichterreichbarkeit Ihrer Webseiten von ca. 10 Sekunden führt. Darüber hinaus ergibt sich durch das Update jedoch keinerlei Betriebsunterbrechung für Ihre Web-Anwendungen. Für diese kurze Störung bitten wir bereits jetzt um Entschuldigung und hoffen, dass Ihnen hierdurch keine allzu großen Unannehmlichkeiten entstehen.

Mit der neuen Apache-Version stehen zahlreiche neue Funktionen und Verbesserungen im Vergleich zur bisher eingesetzten Version zur Verfügung. Insbesondere ergibt sich durch die neue Version ein allgemeiner Gewinn an Leistungsfähigkeit, so dass in vielen Fällen Ihre Web-Anwendungen noch schneller als bisher ausgeliefert werden können.

http://httpd.apache.org/docs/trunk/en/upgrading.html

Weitergehende Informationen zu Apache 2.4 finden Sie bei Bedarf
auf der Hersteller-Webseite:

http://httpd.apache.org/docs/trunk/en/new_features_2_4.html

Folgende Anpassungen sind jedoch empfohlen:

mod_filter:

Die Syntax bei "mod_filter: FilterProvider" wurde geändert und verwendet nun einen booleschen Ausdruck, ob ein Filter angewendet wird.

So muss z.B. aus FilterProvider COMPRESS DEFLATE resp=Content-Type $text/html der neue Eintrag FilterProvider COMPRESS DEFLATE "%{CONTENT_TYPE} = 'text/html'" werden.

Access control:

Eine der Neuerungen betrifft die Direktiven zur "Access control", über die beispielsweise der Zugriff auf einzelne Verzeichnisse durch Suchmaschinen geregelt werden kann. Die bislang genutzte Schreibweise funktioniert weiterhin, es wird aber eine Aktualisierung auf die veränderte Schreibweise empfohlen.

Im folgenden Beispiel werden alle Zugriffe über die Domain "example.org" erlaubt, von allen anderen Hosts aber abgewiesen:

Apache 2.2 (alt):

Order Deny,Allow
Deny from all
Allow from example.org


Apache 2.4 (neu)

Require host example.org

Sollte es im Einzelfall leider dennoch zu Störungen durch das Update kommen, so steht Ihnen mit dem CGI-Debugger ein Tool zur Verfügung, um Fehler analysieren zu können. Die neue Apache-Version bietet in vielen Fällen detaillierte Angaben zu den entsprechenden Fehlern und wie diese beseitigt werden können. Den CGI-Debugger finden Sie in Ihrem Kundenmenü in der Navigationsleiste.

In den allermeisten Anwendungsfällen sind durch die Aktualisierung des Apache-Webservers keinerlei Beeinträchtigungen zu erwarten. Sollten jedoch Komplikationen auftreten, so stehen wir Ihnen selbstverständlich jederzeit gerne mit Rat und Tat zur Seite.